<script setup lang="ts">

import {useStockStore} from "@/stores/stock"
import { useAuthStore } from "@/stores/auth";

import { onMounted, ref } from "vue";



const stockStore = useStockStore()
const authStore = useAuthStore()
const pdfUrl= 'D:/document.pdf'
const currentDate = ref()
const currentTime = ref()
const now = new Date();
const time = new Date().toLocaleTimeString()
const  headers =[
          {
        
            key: 'id',
            sortable: false,
            title: 'ProuductId',
          },
          { key: 'name', title: 'ProuductName',sortable: false },
          { key: 'minimum', title: 'Minimum',sortable: false },
          { key: 'balance', title: 'Balance',sortable: false },
          { key: 'unit', title: 'Unit',sortable: false  },
          { title: 'Amount', key: 'amount', sortable: false },
        ]

const setupDateAndTime = () => {
  currentDate.value = `${now.getDate()}/${now.getMonth() + 1}/${now.getFullYear()}`;
  currentTime.value = `${time}:${now.getMinutes()}`;
};

onMounted(() => {
  setupDateAndTime();
});
const blc = ref()
function changeBl(){
  const paInt = blc.value = parseInt(blc.value, 10);
  let bl = stockStore.editedSProduct.balance = paInt
  stockStore.editedSProduct.balance = bl 
  clearTxtField()
}
const notifications = ref(false)
const sound = ref(false)
const widgets = ref(false)
function clearTxtField(){
    blc.value =0
}
function validateNumber(value:any) {
    const isValid = /^\d+$/.test(value);
    return isValid || "Please enter a number";
}
function save(){
  stockStore.logStupid

}
function printDownload () {
          window.print()
          }
</script>
<template>
   
   <v-dialog
      v-model="stockStore.dialogPrint"
      fullscreen
      :scrim="false"
      transition="dialog-bottom-transition"
    >
      <v-card>
        <v-toolbar
          dark
          color="primary"
        >
          <v-btn
            icon
            dark
            @click="stockStore.dialogPrint= !stockStore.dialogPrint"
          >
            <v-icon>mdi-close</v-icon>
          </v-btn>
          <v-toolbar-title>Print Stock</v-toolbar-title>
          <v-spacer></v-spacer>
          
        </v-toolbar>
        
       <v-container>
         <v-row>
          <v-sheet width="1300" height="110" >
        <div>ผู้ตรวจนับ:{{authStore.currentUser?.fullname}}</div>
        <div>วันที่:{{currentDate}} เวลา {{currentTime}}</div>
        </v-sheet>

        </v-row >
         <v-row no-gutters>
          <v-sheet width="1250" height="800" >
            <div style="font-size: 20pt; text-align: center;">Check Stock</div>
            <!-- <v-data-table 
            :headers="headers"
            :items="stockStore.stockItems"
            
            >
            <template v-slot:[`item.amount`]>
                 <v-text-field>
            
               
                 </v-text-field>
    </template>
    
            </v-data-table> -->
            <v-table density="compact" width="400" height="600">
        <thead>
            <tr>
                <th>ProductID</th>
                <th>ProuductName</th>
                <th>Minimum</th>
                <th>Balance</th>
                <th>Unit</th>
                <th>Amount</th>
               
            </tr>
        </thead>
        <tbody>
            <tr v-for="(item,index) of stockStore.stockItems" :key="item.id"> 
                <td>{{ index + 1 }}</td>
                <td>{{item.name}}</td>
                <td>{{ item.minimum }}</td>
                <td>{{ item.balance }}</td>
                <td>{{ item.unit }}</td>
                <td><div>................</div></td>
               
            </tr>
        </tbody>
    </v-table>
          </v-sheet>
    
         </v-row> 
         
       </v-container>
       
       
      </v-card>
    </v-dialog>
 

</template>
<style>
.dialog-bottom-transition-enter-active,
.dialog-bottom-transition-leave-active {
  transition: transform .2s ease-in-out;
}
</style>